List Agents
curl --request GET \
--url https://{organization_id}.platform.barndoor.ai/api/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://{organization_id}.platform.barndoor.ai/api/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization_id}.platform.barndoor.ai/api/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_directory_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_directory": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"public": true,
"dcr": true,
"post_login_success": true,
"callbacks": [
"<string>"
]
}
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"pages": 123,
"previous_page": 123,
"next_page": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Agents
List Agents
List registered agents with pagination.
GET
/
api
/
agents
List Agents
Authorizations
JWT token obtained through Barndoor's OAuth 2.0 authorization-code flow with PKCE.
The token should be included in the Authorization header:
Authorization: Bearer <your-jwt-token>
Use the Barndoor SDK's loginInteractive() function to obtain tokens automatically.
Query Parameters
Search applications by name or description
Filter by agent type Agent type classification for applications.
Available options:
internal, external Page number (1-based)
Required range:
x >= 1Number of items per page (max 100)
Required range:
1 <= x <= 100⌘I